> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base

> Permanently deletes a knowledge base and all its associated documents. This action cannot be undone,
and all documents, embeddings, and metadata associated with the knowledge base will be removed from
the system. Ensure you have backed up any important data before deletion.



## OpenAPI

````yaml /api-reference/openapi.json delete /v2/knowledge-bases/{kb_id}
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v2/knowledge-bases/{kb_id}:
    delete:
      tags:
        - Knowledge Bases v2
      summary: Delete Knowledge Base
      description: >-
        Permanently deletes a knowledge base and all its associated documents.
        This action cannot be undone,

        and all documents, embeddings, and metadata associated with the
        knowledge base will be removed from

        the system. Ensure you have backed up any important data before
        deletion.
      operationId: delete_knowledge_base_v2_knowledge_bases__kb_id__delete
      parameters:
        - name: kb_id
          in: path
          required: true
          schema:
            type: string
            title: Kb Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````